# Prozessorkonzepte

## Was sollte ein Rechner können
- Rechnen
  - **`+` `-` `*` `/`**
- **Datenbewegung** (kopieren)
- **Strukturierte Lösung eines Problems**
  - Abfolge von Rechenoperationen
  - Verwendung von Daten, indirekte Adressierung, Pointer
  - Schleifen, Sprünge
  - Unterprogramme (Strukturen)
- **Spezielle Befehle** (z.B. Interrupts zur Anbindung von Peripherie)
- **Performance**
  - Optimierung der Datenzugriffe (schneller)
  - mehr Daten
  - spezielle Algorithmen z.B. Graphik, Audio-Codecs, ...
- **Energieeffizienz**

## Von-Neumann-Rechner (Speicherprogrammierter Rechner)
Veröffentlicht 1945
![image_20.png](image_20.png)
- _Arithmetic Logic Unit_ - Rechenwerk
- _Control Unit_ - Steuerwerk
- _Memory_ - Speicherwerk
- _Input/Output_ - Ein-/Ausgabewerk

## MU0 - MU7
### [MU0 - Rechner: Basiskonzept](MU0Rechner.md)
### [MU1 - Rechner](MU1Rechner.md)
